## net.dontdrinkandroot.lastfm.api.model
Class Affiliations

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.LfmEntity
          net.dontdrinkandroot.lastfm.api.model.Affiliations

All Implemented Interfaces:
  java.io.Serializable, DownloadAffiliationsEntity, Entity, PhysicalAffiliationsEntity

    public class Affiliations

extends LfmEntity
implements PhysicalAffiliationsEntity, DownloadAffiliationsEntity

See Also:
  Serialized Form

Constructor Summary
`Affiliations(org.w3c.dom.Element element)` Construct Affiliations from a DOM `Element`.

Method Summary
`java.util.List<Affiliation>` `getDownloadAffiliations()`
`java.util.List<Affiliation>` `getPhysicalAffiliations()`
`void` `setDownloadAffiliations(java.util.List<Affiliation> downloadAffiliations)`
`void` `setPhysicalAffiliations(java.util.List<Affiliation> physicalAffiliations)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Affiliations

    public Affiliations(org.w3c.dom.Element element)

  Construct Affiliations from a DOM `Element`.

  Parameters:
    `element` - The `Element` to parse.

Method Detail

### getPhysicalAffiliations

    public java.util.List<Affiliation> getPhysicalAffiliations()

  Specified by:
    `getPhysicalAffiliations` in interface `PhysicalAffiliationsEntity`

### getDownloadAffiliations

    public java.util.List<Affiliation> getDownloadAffiliations()

  Specified by:
    `getDownloadAffiliations` in interface `DownloadAffiliationsEntity`

### setDownloadAffiliations

    public void setDownloadAffiliations(java.util.List<Affiliation> downloadAffiliations)

  Specified by:
    `setDownloadAffiliations` in interface `DownloadAffiliationsEntity`

### setPhysicalAffiliations

    public void setPhysicalAffiliations(java.util.List<Affiliation> physicalAffiliations)

  Specified by:
    `setPhysicalAffiliations` in interface `PhysicalAffiliationsEntity`

Copyright © 2012. All Rights Reserved.